;ҷ
; Procomm Plus 2.0+ Aspect Script written specifically for the          
; ChristNet Christian Mail Network, Host--The Believer's Board,         
; Randy Tincher, Sysop.                                                 
;                                                                       
; This script was written by Kevin Cummins, sysop of Crimson Cross BBS. 
; He may be contacted for help or support relating to this script, at   
; Crimson Cross, 618-253-3608.                                          
;                                                                       
; Additional script notes are found at the end of this file.....        
;н
DEFINE BBS_ENTRY "53"                   ;The Number of the entry
                                        ;in your dialing directory

DEFINE FULL_NAME "CCBBS CUMMINS"        ;Edit to the First & Last name you
                                        ;use for the mail run.

DEFINE PASSWORD "XXXX"                  ;The password you will use.

DEFINE REPLIES "C:\CNET\CNETRLY.REP"    ;The complete path & filename to
                                        ;your .REP file.

DEFINE PACKET  "C:\CNET\CNETRLY.QWK"    ;The complete path & filename where
                                        ;the .QWK file will be.
                                        ;NOTE: NON-registered DSZ users may
                                        ;not be able to specify a directory
                                        ;other than the default one at the
                                        ;time of the download. In that case,
                                        ;just use CNETRLY.QWK, and you will
                                        ;be responsible for moving it if
                                        ;necessary.

DEFINE LOG_FILE "CNET.LOG"              ;Full path & filename where your
                                        ;script activity will be logged.
                                        ;This is a very handy reference,
                                        ;when problems in your mail run arise.


;ҷ
; This script should not require any changes below this line. All       
; variables are defined in the above statements. Please edit these      
; for your particular setup!                                            
;н
;---------------------------------------------------------------------------

STRING UPLOAD_SUCCESS=""

PROC MAIN

   SET MODEM MAXDIAL 100                ;QUIT IF NO ANSWER OR BUSY AFTER
                                        ;100 TRIES

   DELETE LOG_FILE                      ;Delete previous log entry
   LOG OPEN LOG_FILE                    ;Open new logfile

   FINDFIRST PACKET                     ;Deletes old .QWK packet, in case
      IF FOUND                          ;you didn't already have that taken
         DELETE PACKET                  ;care of.....
      ENDIF

   SET ZMODEM AUTODLOAD OFF             ;Sets the Auto-Download function off
                                        ;if it happens to be on, so that it
                                        ;will not interfere with DSZ.

   DIAL BBS_ENTRY                       ;Dials entry from dialing directory
      IF NOT CONNECTED
         HANGUP
         QUIT
      ENDIF

   WHEN 0 "More?" Transmit "N^M"

   WAITFOR "Do you want graphics" 20
   TRANSMIT "N^M"                       ;Selects"N^M" for no graphics

   WAITFOR "first name?" 20             ; wait for first name prompt
        IF NOT WAITFOR
           HANGUP
           QUIT
        ENDIF

   TRANSMIT FULL_NAME                   ;Send your FULL name
   TRANSMIT "^M"

   WAITFOR "will echo)?"                ;wait for password prompt
   TRANSMIT PASSWORD                    ;send your password
   TRANSMIT "^M"

   WAITFOR "=yes?"     20               ;NS=Non-Stop mode
   TRANSMIT "NS ^M"

   WAITFOR "?"         15               ;Sends an <enter> to send you on
   TRANSMIT "^M"

   WAITFOR "Main Board Command?"   30
        IF NOT WAITFOR                  ;If this prompt does not check out,
           HANGUP                       ;I prefer to abort at this point.
           QUIT
        ENDIF

   TRANSMIT "CNHUBQWK^M"                ;Open the Hub door

   WAITFOR "Mail Command?"              ;Wait for the command prompt

   FINDFIRST REPLIES                    ;This section will look to see
      IF FOUND                          ;if a .REP files exists as defined
         TRANSMIT "U^M"                 ;above. If so, then the UPload
         PAUSE 1                        ;commands are executed. If not,
         WAITFOR "**"         30        ;then only the Download commands will
            IF NOT WAITFOR              ;be executed.
               HANGUP
               QUIT
            ENDIF

         STRFMT S1 "DSZ pB4096 handshake both sz -m %s" REPLIES
         DOS S1

         WAITFOR "upload was successful." 45   ;These lines set a flag that
         IF WAITFOR                            ;will later determine whether
             UPLOAD_SUCCESS="YES"              ;to DELETE the .REP file.
         ENDIF                                 ;It will only be deleted if
                                               ;success was achieved.

         WAITFOR "Mail Command?"
      ENDIF

   TRANSMIT "D^M"

   WAITFOR "oodbye When Done?"                 ;Select the auto-logoff option.
   TRANSMIT "G^M"

   WAITFOR "8000" 500
   STRFMT S2 "DSZ pB4096 handshake both rz -m %s" PACKET
   DOS S2

   WAITFOR "(h)=hang up now"                   ;Go ahead and hang up, might
   TRANSMIT "H^M"                              ;save a couple seconds on the
                                               ;phone bill....:)
   PAUSE 2

   IF NOT NULL UPLOAD_SUCCESS                  ;If the .REP file was received
      DELETE REPLIES                           ;earlier with success, then
   ENDIF                                       ;delete it.

   HANGUP                                      ;Just a precautionary hangup
   QUIT                                        ;& then quit Procomm.

ENDPROC


;ҷ
; This script is designed to fully automate your mail run. It            
; will delete your old .QWK packet as defined at the top of the file,    
; in case you have not taken care of this in your batch file. It will    
; also delete your uploaded .REP packet, only after recognizing a        
; successful transfer by the host BBS.                                   
;                                                                        
; I prefer to use DSZ zmodem as opposed to Procomm's internal one. I     
; feel it is more stable and reliable, therefore Procomm's automatic     
; zmodem detection is turned off in this script.                         
;                                                                        
; Should you prefer to use Procomm's internal Zmodem protocol, this      
; script can easily be be revised to that effect. And I would be glad    
; to do so, if someone were to ask real nicely...<Smile>                 
;н
